> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List all IP policy rules on this account




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /ip_policy_rules
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /ip_policy_rules:
    get:
      tags:
        - IPPolicyRules
      summary: List
      description: |
        List all IP policy rules on this account
      operationId: IpPolicyRulesList
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: before_id
          description: >
            Expects a resource ID as its input. Returns earlier entries in the
            result set, sorted by ID.
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: >
            Constrains the number of results in the dataset. See the [API
            Overview](https://ngrok.com/docs/api/index#pagination) for details.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >
            A CEL expression to filter the list results. Supports logical and
            comparison operators to match on fields such as `id`, `metadata`,
            `created_at`, and more. See ngrok API Filtering for syntax and field
            details: https://ngrok.com/docs/api/api-filtering.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: |
            List all IP policy rules on this account
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPPolicyRuleList'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    IPPolicyRuleList:
      type: object
      properties:
        ip_policy_rules:
          description: |
            the list of all IP policy rules on this account
          type: array
          items:
            $ref: '#/components/schemas/IPPolicyRule'
        uri:
          description: |
            URI of the IP policy rule list API resource
          type: string
        next_page_uri:
          description: |
            URI of the next page, or null if there is no next page
          type: string
    IPPolicyRule:
      type: object
      properties:
        id:
          description: |
            unique identifier for this IP policy rule
          type: string
        uri:
          description: |
            URI of the IP policy rule API resource
          type: string
        created_at:
          description: |
            timestamp when the IP policy rule was created, RFC 3339 format
          type: string
        description:
          description: >
            human-readable description of the source IPs of this IP rule.
            optional, max 255 bytes.
          type: string
        metadata:
          description: >
            arbitrary user-defined machine-readable data of this IP policy rule.
            optional, max 4096 bytes.
          type: string
        cidr:
          description: >
            an IP or IP range specified in CIDR notation. IPv4 and IPv6 are both
            supported.
          type: string
        ip_policy:
          $ref: '#/components/schemas/Ref'
          description: |
            object describing the IP policy this IP Policy Rule belongs to
        action:
          description: |
            the action to apply to the policy rule, either `allow` or `deny`
          type: string
    Ref:
      type: object
      properties:
        id:
          description: |
            a resource identifier
          type: string
        uri:
          description: |
            a uri for locating a resource
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````